Summary: Signing utility for UEFI secure boot
Name: sbsigntool
Version: git
Release: r3.0
License: GPLv3
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: util-linux
BuildRequires: binutils
Requires: rtld(GNU_HASH)
Requires: libdl.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libcrypto1.0.0 >= 1.0.2d
Requires: libc6 >= 2.22
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Provides: elf(buildid) = ef8cf2bb1bf58710b04c56f5c30e910e717f0f16

%description
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.

%package -n sbsigntool-dbg
Summary: Signing utility for UEFI secure boot - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libcrypto-dbg
Recommends: sbsigntool = git-r3.0

%description -n sbsigntool-dbg
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.   This package contains ELF symbols and related sources for
debugging purposes.

%package -n sbsigntool-staticdev
Summary: Signing utility for UEFI secure boot - Development files (Static Libraries)
Group: devel
Requires: sbsigntool-dev = git-r3.0

%description -n sbsigntool-staticdev
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.   This package contains static libraries for software
development.

%package -n sbsigntool-dev
Summary: Signing utility for UEFI secure boot - Development files
Group: devel
Requires: sbsigntool = git-r3.0
Suggests: binutils-dev
Suggests: gnu-efi-dev
Suggests: util-linux-dev
Suggests: openssl-dev
Suggests: libcrypto-dev
Suggests: libc6-dev

%description -n sbsigntool-dev
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.   This package contains symbolic links, header files, and
related items necessary for software development.

%package -n sbsigntool-doc
Summary: Signing utility for UEFI secure boot - Documentation files
Group: doc

%description -n sbsigntool-doc
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.   This package contains documentation.

%package -n sbsigntool-locale
Summary: Signing utility for UEFI secure boot
Group: console/utils

%description -n sbsigntool-locale
This package provides utilities that can be used for signing PE programs
for use with UEFI Secure Boot, and for verifying the signatures included
in the same.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/sbverify"

%files -n sbsigntool-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/sbverify"
%dir "/usr/src/debug"
%dir "/usr/src/debug/sbsigntool"
%dir "/usr/src/debug/sbsigntool/git-r3"
%dir "/usr/src/debug/sbsigntool/git-r3/git"
%dir "/usr/src/debug/sbsigntool/git-r3/git/lib"
%dir "/usr/src/debug/sbsigntool/git-r3/git/src"
%dir "/usr/src/debug/sbsigntool/git-r3/git/lib/ccan"
%dir "/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan"
%dir "/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/talloc"
%dir "/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/read_write_all"
"/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/talloc/talloc.h"
"/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/talloc/talloc.c"
"/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/read_write_all/read_write_all.h"
"/usr/src/debug/sbsigntool/git-r3/git/lib/ccan/ccan/read_write_all/read_write_all.c"
%dir "/usr/src/debug/sbsigntool/git-r3/git/src/coff"
"/usr/src/debug/sbsigntool/git-r3/git/src/sbverify.c"
"/usr/src/debug/sbsigntool/git-r3/git/src/idc.h"
"/usr/src/debug/sbsigntool/git-r3/git/src/image.c"
"/usr/src/debug/sbsigntool/git-r3/git/src/fileio.c"
"/usr/src/debug/sbsigntool/git-r3/git/src/idc.c"
"/usr/src/debug/sbsigntool/git-r3/git/src/image.h"
"/usr/src/debug/sbsigntool/git-r3/git/src/fileio.h"
"/usr/src/debug/sbsigntool/git-r3/git/src/coff/external.h"
"/usr/src/debug/sbsigntool/git-r3/git/src/coff/pe.h"

%files -n sbsigntool-dev
%defattr(-,-,-,-)

